### Method

# Pango Layout serialize

since: 1.50

#### Declaration [src]

    GBytes*
    pango_layout_serialize (
      PangoLayout* layout,
      PangoLayoutSerializeFlags flags
    )

#### Description [src]

Serializes the `layout` for later deserialization via `pango_layout_deserialize()`.

There are no guarantees about the format of the output across different versions of Pango and `pango_layout_deserialize()` will reject data that it cannot parse.

The intended use of this function is testing, benchmarking and debugging. The format is not meant as a permanent storage format.

Available since: 1.50

#### Parameters

`flags`

  Type: `PangoLayoutSerializeFlags`

  `PangoLayoutSerializeFlags`

#### Return value

Type: `GBytes`

A `GBytes` containing the serialized form of `layout`.

The caller of the method takes ownership of the data, and is responsible for freeing it.